# Changelog

## 4.07.9

* Correction d'un problème empêchant la vente de produit dans la dernière version (4.07.8)

## 4.07.8

* Correction des URL canoniques sur les produits connexes lorsqu'ils possèdent tous la même description.
* Correction d'un concours de circonstances aboutissant à l'exportation de commandes avec une TVA biaisée.
* L'importation des clients ignore désormais les clients qui n'ont pas d'adresse mail ou une adresse invalide.
* Ajout d'un mode de débogage pour n'exporter que les commandes et ignorer les clients.
* Correction d'un problème pouvant aboutir à la consommation de toutes les ressources du serveur sur certains environnments.
* Changement de comportement de la dépublication : lorsque dépubliés, les produits sont désormais exclus du catalogue, leur stock réduit à 0, puis désactivés quelques jours après.

## 4.07.7

* Prise en charge d'un problème d'arrondi empêchant le bon rappatriement de certaines commandes
* Affichage du nom des niveaux et des catégories Polaris dans le panneau de configuration
* Prise en charge des montants minimum d'achat sur les bons portant la mention "(achat minimum de XX)", hors avoirs, crédits & acomptes.
* Possibilité de désigner un ou plusieurs niveaux Polaris comme complément de taille (pour les bonnets et les longueurs de jambes)

## 4.07.6

* Prise en charge de certaines configuration de la plateforme os2switch

## 4.07.5

* Correction d'une notice lorsque le produit d'une promotion n'est pas trouvé

## 4.07.4

* Correction d'un problème empêchant la connexion en mode maintenance sur les versions 8

## 4.07.3

* Les bons cadeaux, chèques cadeaux et autres bons sont désormais renommé par leur type s'ils portent le nom "Création Automatique" sous Polaris
* Possibilité de configurer le comportement de construction des slug pour les url-rewrite.

## 4.07.2

* Journalisation de certaines erreurs
* Correction d'un problème empêchant la mise à jour automatique

## 4.07.1

* Ajout de fonctionnalité de debogage
* Ajustement des timeouts
* Problème avec la synchronisation du link_rewrite sur certaines plateformes
* utilisation du GC sur les gros transferts

## 4.07.0

* Correction divers problèmes pour la compatibilité PHP8 
* Correction d'un problème de synchronisation sur certaines installations

## 4.06.0

* Prise en charge du module sendinblue
* Le rapport d'exécution des traitements en cours est plus précis et indique chaque catégorie de données restant à être traitée ;
* Correction d'un problème empêchant la synchronisation avec Polaris lorsque le site Prestashop est en debug ;
* Amélioration du rapport de traitement lorsque les traitements par tâche CRON sont activés ;
* Accélération des traitements lors de changement de catégories des produits sur les bases qui comportent beaucoup de produits ;
* Création et protection d'un répertoire *vendor* pour limiter les informations de Prestashop 8 lors des mises à jour ;

## 4.05.0

* Tentative de correction d'un problème qui sous certaines infrastructures peut conduire à un blocage de la synchronisation avec le message d'erreur suivant : ``Fatal error: Uncaught Error: Call to undefined method SimpleXMLElement::children() in /home/parentj/www2021/modules/polarislink/classes/PolarisLinkImportBase.php:411`` ;

## 4.04.0

* Ajout outils de débogage

## 4.03.0

* Ajout de la version de PHP dans api_info ;
* Ajout d'un mode DEBUG
* Correction de l'erreur ``Undefined index: is_sale_n, name_n in ./classes/PolarisLinkImport_productdiscountplan.php on line 146``
* Correction d'importation des marques en doublons quand celles-ci sont effacées manuellement alors que le système est installé avec un SGBD non relationnel ;
* Prise en charge des plateformes ne supportant pas fastcgi_finish_request() et qui redéclenche des synchronisations intempestives ;

## 4.02.0

* Tentative de correction d'un problème qui sous certaines infrastructures peut conduire à un blocage de la synchronisation avec le message d'erreur suivant : ``Fatal error: Uncaught Error: Call to undefined method SimpleXMLElement::children() in /home/parentj/www2021/modules/polarislink/classes/PolarisLinkImportBase.php:411`` ;

## 4.01.0

* Ajout appel au hook "actionCustomerAccountAdd" lors de la création d'un client depuis Polaris.
* Support des commandes éclatées (click'n'collect, transporteurs différents mais même paiement).

## 4.00.0

La version 4 du module apporte la compatibilité avec PHP8.1 et Prestashop 8.

## 3.72.6

Cette version corrige :

* problème de modification de la casse des noms des clients avec certains kit de paiement lorsque ce dernier vient de s'inscrire 

## 3.72.5

Cette version propose un nouveau paramètre permettant d'exporter le module utilisé pour régler la commande (par exemple ps_checkpayment) plutôt que le libellé du mode de règlement (notre exemple : Chèque). 
Cette option est nécessaire pour supporter certains modes de paiement qui changent le libellé à chaque transaction ou bien si le client veut distinguer ses prestataires de paiement pour les analyser.

## 3.72.4

Cette version corrige :

* image non mise à jour des catégories et des marques lors du remplacement de celles-ci conjointement avec l'utilisation de la génération automatique des Webp ;
* faille de sécurité potentielle sur la génération des webp
* support de la compatibilité avec le module sendinblue


## 3.72.3

Cette version corrige :

* le comportement de création des promos et soldes ; quand c'est possible, le module va créer une réduction pour toutes les déclinaisons plutôt que d'établir une réduction pour chacune d'entre-elle si elle est identique ;
* les réductions vides (-0€ ou -0%) sont désormais ignorées par le module ;
* le processus d'exportation des commandes et des clients a été revu pour mieux gérer les modules Amazon et Spartoo qui antidatent les paiements ;

## 3.72.2

Correction d'un problème empêchant la création/entretien des plans de solde et promotions sur les articles synchronisés par le EAN fournisseur.

## 3.72.1

Cette version change les comportements suivants :
* Les bons (avoir, cadeau, ...) Polaris sont désormais valables sur Prestashop jusqu'à la date de validité incluse (et non exclue).
* Les photos produits ne sont pas trouvées lorsque l'option de génération des *webp* est activée et que les photos sont au format *png*
* Les soldes et les promotions sont désormais dissociées au sein du module et peut permettre aux webmestres de les séparer ou d'afficher des bandeaux différents

## 3.71.2

Correction d'un problème de sauvegarde des paramètres sur la version 1.6 de Prestashop

## 3.71.1

Vérification des URL de préproduction et production dans l'API migration

## 3.71.0

Cette version apporte la possibilité d'importer facilement sur un environnement de préproduction les changements clients et commandes survenus sur l'environnement de production de façon à pouvoir rapidement mettre en ligne la préproduction sans perdre de données.

Cette option est réservée aux commercants ayant choisi de travailler avec VEGA Informatique pour la conception et la maintenance de leur site Internet.

## 3.70.5

Cette version corrige les problèmes mineurs suivants :

* La dépublication d'un modèle sous Polaris entraîne désormais la désactivation du produit sous Prestashop et ce dernier est configuré pour effectuer une redirection permanente vers sa catégorie par défaut dans le cas où un internaute ou un robot d'indexation chercherait à joindre sa page directement par son adresse.
* Le journal de modifications est désormais accessible depuis la page de configuration du module, après la mise à jour.

## 3.70.4

Cette version corrige des problèmes de compatibilité avec les versions 1.6 de Prestashop.

## 3.70.0

* Ajout du journal de modifications.
* Les options de désactivation produit lorsque dépublication depuis Polaris sont supprimées : elles impactent trop souvent le référencement et sont utilisées à mauvais escient.
* Certaines options sont désormais cachées sous le mode 'Expert' : c'est le cas de l'activation du cache, de la gestion du stock avancée, de l'archivage des importations, et de la copie de photo.
* Vous pouvez désormais choisir si un produit hors stock est visible partout, nulle-part, dans la recherche ou dans le catalogue uniquement. Cette option remplace l'ancien switch d'activation automatique sur stock.
* L'optin (souscription de l'internaute aux prospections par mail) de Polaris est maintenant aligné sur l'option "newsletter" de Prestashop.
* Ajout de compatibilité avec certaines installations PHP qui accordent plus de 4G de mémoire aux scripts.
* Les dates de publication trop vieilles (<2002) sont désormais ignorées et la date d'ajout n'est alors pas modifié.
* Ajout de la possibilité de générer le tag GoogleAnalytics pour le suivi basique de la fréquentation.
